#### D.12.4.6 spoly

Procedure from library `teachstd.lib` (see teachstd_lib).

Usage:
  spoly(f,g[,s]); f,g poly or vector, s int

Return:
  the s-polynomial of f and g, of type poly or vector
  if s!=0 the symmetric s-polynomial (without division) is returned

Example:

    LIB "teachstd.lib";
    ring r=0,(x,y,z),ls;
    spoly(2x2+x2y,3y3+xyz);
    ==> x2y4-2/3x3yz
    ring s=0,(x,y,z),(c,dp);
    spoly(2x2+x2y,3y3+xyz);
    ==> -1/3x3yz+2x2y2
    spoly(2x2+x2y,3y3+xyz,1);             //symmetric s-poly without division
    ==> -x3yz+6x2y2
    spoly([5x2+x2y,z5],[x2,y3,y4]);       //s-poly for vectors
    ==> [5x2,z5-y4,-y5]

User manual for Singular version 4.4.1, 2025, generated by texi2html.